package com.simuwang.base.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.simuwang.base.pojo.dos.SysMenuDO;
import com.simuwang.base.pojo.dos.SysRoleDO;
import com.simuwang.base.pojo.dos.SysUserDO;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface SysUserMapper extends BaseMapper<SysUserDO> {
    /**
     * 根据用户id从用户角色关系表查询该用户的所有角色信息
     *
     * @param userId 用户id
     * @return /
     */
    List<SysRoleDO> selectRoleByUserId(Integer userId);

    /**
     * 获取所有角色信息
     *
     * @return /
     */
    List<SysRoleDO> selectAllRole();

    /**
     * 根据用户id从用户角色关系表和角色权限关系表查询该用户的所有权限信息
     *
     * @param userId 用户id
     * @return /
     */
    List<SysMenuDO> selectMenuByUserId(Integer userId);

    /**
     * 获取全部权限信息
     *
     * @return /
     */
    List<SysMenuDO> selectAllMenu();
}
