package com.simuwang.base.pojo.dos;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableLogic;
import lombok.Getter;
import lombok.Setter;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * @author wangzaijun
 * @date 2023/11/7 17:23
 * @description base数据模型
 */
@Setter
@Getter
public class BaseEntity implements Serializable {
    @Serial
    private static final long serialVersionUID = 999;
    /**
     * 创建人
     */
    @TableField("creatorid")
    private Integer creatorId;
    /**
     * 创建时间
     */
    @TableField("createtime")
    private Date createTime;
    /**
     * 更新人
     */
    @TableField("updaterid")
    private Integer updaterId;
    /**
     * 更新时间
     */
    @TableField("updatetime")
    private Date updateTime;
    /**
     * 是否有效标识
     */
    @TableLogic(value = "1", delval = "0")
    @TableField("isvalid")
    private Integer valid;
}
