package com.simuwang.base.pojo.dos;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
@TableName("fund_position_detail")
public class FundPositionDetailDO {
    /**
     * 主键id
     */
    @TableId(value = "id")
    private Integer id;
    /**
     * 基金ID
     */
    @TableField(value = "fund_id")
    private String fundId;
    /**
     * 估值日期
     */
    @TableField(value = "valuation_date")
    private Date valuationDate;
    /**
     * 科目级别
     */
    @TableField(value = "level")
    private Integer level;
    /**
     * 币种：1-人民币，2-美元，3-港元
     */
    @TableField(value = "currency")
    private Integer currency;
    /**
     * 汇率
     */
    @TableField(value = "exchange_rate")
    private BigDecimal exchangeRate;
    /**
     * 科目代码
     */
    @TableField(value = "subject_code")
    private String subjectCode;
    /**
     * 证券代码
     */
    @TableField(value = "securities_code")
    private String securitiesCode;
    /**
     * 证券名称
     */
    @TableField(value = "securities_name")
    private String securitiesName;
    /**
     * 类型：0-股票，1-债券，2-现金，3-期货，4-期权，5-正逆回购，6-基金，7-其他衍生品
     */
    @TableField(value = "sec_type")
    private Integer secType;
    /**
     * 证券数量
     */
    @TableField(value = "securities_amount")
    private BigDecimal securitiesAmount;
    /**
     * 市值
     */
    @TableField(value = "market_value")
    private BigDecimal marketValue;
    /**
     * 市值占净值
     */
    @TableField(value = "market_value_ratio")
    private BigDecimal marketValueRatio;
    /**
     * 行情收市价
     */
    @TableField(value = "market_price")
    private BigDecimal marketPrice;
    /**
     * 持仓性质：1-多头，2-空头
     */
    @TableField(value = "nature")
    private Integer nature;
    /**
     * 资产类型：1-资产类，2-负债类，3-共同类，4-所有者权益类，6-损益类
     */
    @TableField(value = "subject_type")
    private Integer subjectType;
    /**
     * 估值增值
     */
    @TableField(value = "increment")
    private BigDecimal increment;
    /**
     * 停牌信息
     */
    @TableField(value = "halt_info")
    private String haltInfo;
    /**
     * 成本
     */
    @TableField(value = "net_cost")
    private BigDecimal netCost;
    /**
     * 成本占比
     */
    @TableField(value = "net_cost_ratio")
    private BigDecimal netCostRatio;
    /**
     * 单位成本
     */
    @TableField(value = "unit_cost")
    private BigDecimal unitCost;
    /**
     * 是否有效：0-无效，1-有效
     */
    @TableField(value = "isvalid")
    private Integer isvalid;
    /**
     * 创建者Id
     */
    @TableField(value = "creatorid")
    private Integer creatorId;
    /**
     * 创建时间
     */
    @TableField(value = "createtime")
    private Date createTime;
}