package com.simuwang.base.pojo.vo;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class EmailFundNavAssetVO {
    /**
     * 主键Id
     */
    private Integer id;
    /**
     * 基金id
     */
    private String fundId;
    /**
     * 邮件解析的基金名称
     */
    private String fundName;
    /**
     * 邮件解析的备案编码
     */
    private String registerNumber;
    /**
     * 净值日期
     */
    private String priceDate;
    /**
     * 单位净值
     */
    private BigDecimal nav;
    /**
     * 累计单位净值
     */
    private BigDecimal cumulativeNavWithdrawal;
    /**
     * 是否入库 0-没有,1-有
     */
    private Integer isStored;
    /**
     * 异常情况:1-无异常,2-净值缺失,3-未匹配基金,4-净值<=0,5-资产净值<=0
     */
    private Integer exceptionStatus;
    /**
     * 资产份额
     */
    private BigDecimal assetShare;
    /**
     * 资产净值(基金规模)
     */
    private BigDecimal assetNet;

    /**
     * 匹配的基金ID
     */
    private String targetFundId;

    /**
     * 匹配的基金名称
     */
    private String targetFundName;

    /**
     *  邮件主题
     */
    private String emailTitle;

    /**
     *  更新日期
     */
    private String upateTime;
}