package com.simuwang.manage.api.email;

import com.simuwang.base.common.page.TableDataInfo;
import com.simuwang.base.pojo.vo.EmailFundNavAssetVO;
import com.simuwang.manage.api.base.BaseController;
import com.simuwang.manage.service.ParseEmailDetailService;
import com.smppw.common.pojo.enums.TimeRange;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import java.util.List;

/**
 *  数据详情
 * Author:   chenjianhua
 * Date:     2024/9/10 11:21
 * Description: ${DESCRIPTION}
 */
@RestController
@RequestMapping("/v1/detail")
public class ParseEmailDetailController extends BaseController {

    @Autowired
    private ParseEmailDetailService parseEmailDetailService;
    /**
     * 数据详情页面展示查询接口
     * @param fundName
     * @param fundName
     * @param exceptionStatus
     * @param priceStartDate
     * @param priceEndDate
     * @param updateStartDate
     * @param updateEndDate
     * @return
     */
    @GetMapping("/search-nav-detail")
    public TableDataInfo searchNavDetail(@RequestParam(value = "fundName",required = false)String fundName,
                                         @RequestParam(value = "emailTitle",required = false)String emailTitle,
                                         @RequestParam(value = "exceptionStatus",required = false)Integer exceptionStatus,
                                         @RequestParam(value = "priceStartDate",required = false)String priceStartDate,
                                         @RequestParam(value = "priceEndDate",required = false)String priceEndDate,
                                         @RequestParam(value = "updateStartDate",required = false)String updateStartDate,
                                         @RequestParam(value = "updateEndDate",required = false)String updateEndDate){
        List<EmailFundNavAssetVO> result = parseEmailDetailService.searchNavDetail(fundName,emailTitle,exceptionStatus,priceStartDate,priceEndDate,updateStartDate,updateEndDate);
        return getDataTable(result);
    }
}
