package com.simuwang.manage.service.impl;

import com.simuwang.base.mapper.CompanyEmailConfigMapper;
import com.simuwang.base.mapper.CompanyEmailSendHistoryMapper;
import com.simuwang.base.pojo.vo.CompanyEmailConfigVO;
import com.simuwang.base.pojo.vo.CompanyEmailSendHistoryVO;
import com.simuwang.manage.service.CompanyEmailSendHistoryService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * FileName: CompanyEmailSendHistoryServiceImpl
 * Author:   chenjianhua
 * Date:     2024/9/9 10:06
 * Description: ${DESCRIPTION}
 */
@Service
public class CompanyEmailSendHistoryServiceImpl implements CompanyEmailSendHistoryService {
    @Autowired
    private CompanyEmailSendHistoryMapper companyEmailSendHistoryMapper;

    @Autowired
    private CompanyEmailConfigMapper companyEmailConfigMapper;
    @Override
    public List<CompanyEmailSendHistoryVO> searchCompanyEmail(String companyName, String email, Integer sendStatus) {
        return companyEmailSendHistoryMapper.searchCompanyEmailList(companyName,email,sendStatus);
    }

    @Override
    public List<CompanyEmailSendHistoryVO> searchEmailHistory(String companyId) {
        return companyEmailSendHistoryMapper.searchEmailHistory(companyId);
    }

    @Override
    @Transactional
    public void deleteEmail(String companyId) {
        List<String> emailList = companyEmailConfigMapper.searchEmailByCompanyId(companyId);
        //删除配置
        companyEmailConfigMapper.deleteCompanyEmailConfig(companyId);
        //删除历史
        if(emailList.size() > 0){
            companyEmailSendHistoryMapper.deleteEmailHistory(emailList);
        }
    }

    @Override
    public void deleteEmailHistory(List<Integer> idList) {
        companyEmailSendHistoryMapper.deleteEmailHistoryByIds(idList);
    }

    @Override
    public List<CompanyEmailConfigVO> searchEmailConfig(String companyId) {
        return companyEmailConfigMapper.searchEmailConfig(companyId);
    }
}
